Index: tmp/org.txm.rcp.feature/feature.xml
===================================================================
--- tmp/org.txm.rcp.feature/feature.xml	(revision 847)
+++ tmp/org.txm.rcp.feature/feature.xml	(revision 848)
@@ -273,6 +273,14 @@
       <import plugin="org.eclipse.e4.ui.workbench3" version="0.12.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.e4.ui.workbench.addons.swt" version="0.10.0" match="greaterOrEqual"/>
       <import plugin="org.eclipse.emf.ecore" version="2.7.0" match="greaterOrEqual"/>
+      <import plugin="com.ibm.icu"/>
+      <import plugin="javax.annotation"/>
+      <import plugin="javax.inject"/>
+      <import plugin="org.eclipse.e4.core.commands"/>
+      <import plugin="org.eclipse.e4.ui.workbench.renderers.swt"/>
+      <import plugin="org.eclipse.e4.ui.services"/>
+      <import plugin="org.eclipse.emf.common"/>
+      <import plugin="javax.xml"/>
    </requires>
 
    <plugin
Index: tmp/org.txm.groovy.feature/feature.xml
===================================================================
--- tmp/org.txm.groovy.feature/feature.xml	(revision 847)
+++ tmp/org.txm.groovy.feature/feature.xml	(revision 848)
@@ -61,11 +61,4 @@
          version="0.0.0"
          unpack="false"/>
 
-   <plugin
-         id="org.txm.groovy.rcp"
-         download-size="0"
-         install-size="0"
-         version="0.0.0"
-         unpack="false"/>
-
 </feature>
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 847)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 848)
@@ -112,6 +112,7 @@
 import org.txm.concordance.rcp.messages.ConcordanceUIMessages;
 import org.txm.concordance.rcp.widgets.ComplexSortSelector;
 import org.txm.cooccurrence.rcp.messages.CooccurrenceUIMessages;
+import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMResult;
@@ -631,7 +632,6 @@
 
 		//resetColumnWidths(); // set column widths
 
-		createContextMenu();
 
 		//		// And now, a sweet piece of code :)
 		//		// When the window is resized, the scrollbar is adjusted so that the
@@ -748,6 +748,10 @@
 		data3.left = new FormAttachment(sash,0);
 		data3.right = new FormAttachment(100);
 		viewer.getTable().setLayoutData(data3);
+		
+		
+		createContextMenu();
+
 	}
 
 	/**
@@ -1967,7 +1971,7 @@
 		try {
 			InternalView iview = new InternalView(concordance.getCorpus());
 			iview.setParameters(concordance.getKeywordAnalysisProperties(), 
-					concordance.getCorpus().getStructuralUnit("text"),
+					concordance.getCorpus().getStructuralUnit(TBXPreferences.DEFAULT_STRUCTURAL_UNIT),
 					new ArrayList<StructuralUnitProperty>(), null);
 
 			TXMResultEditorInput editorInput = new TXMResultEditorInput(iview);
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 847)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 848)
@@ -50,15 +50,11 @@
 import org.txm.edition.rcp.editors.RGBA;
 import org.txm.edition.rcp.editors.SynopticEditionEditor;
 import org.txm.edition.rcp.messages.SynopticEditionUIMessages;
-import org.txm.objects.Edition;
-import org.txm.objects.Page;
 import org.txm.objects.Text;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.utils.SWTEditorsUtils;
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.CQPSearchEngine;
-import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
-import org.txm.searchengine.cqp.clientExceptions.InvalidCqpIdException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
@@ -120,17 +116,20 @@
 			return null;
 		}
 		ConcordanceEditor concordanceEditor = (ConcordanceEditor)ieditor;
-		ISelection sel = wb.getSelectionService().getSelection();
-		if (sel instanceof IStructuredSelection) {
-			IStructuredSelection selection = (IStructuredSelection) sel;
-			if (selection.getFirstElement() instanceof Match) {
-				backToText(concordanceEditor, (Match)(selection.getFirstElement()));
-			} else {
-				System.out.println(SynopticEditionUIMessages.BackToText_1+selection);
-			}
-		} else {
-			System.out.println(SynopticEditionUIMessages.BackToText_2);
-		}
+		// FIXME: SJ: new version
+		concordanceEditor.backToText();
+		// FIXME: SJ: old version
+//		ISelection sel = wb.getSelectionService().getSelection();
+//		if (sel instanceof IStructuredSelection) {
+//			IStructuredSelection selection = (IStructuredSelection) sel;
+//			if (selection.getFirstElement() instanceof Match) {
+//				backToText(concordanceEditor, (Match)(selection.getFirstElement()));
+//			} else {
+//				System.out.println(SynopticEditionUIMessages.BackToText_1+selection);
+//			}
+//		} else {
+//			System.out.println(SynopticEditionUIMessages.BackToText_2);
+//		}
 		return null;
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 847)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/SWTEditorsUtils.java	(revision 848)
@@ -62,10 +62,12 @@
 	/**
 	 * Splits the parent area of an editor and add another one in this area by splitting it. 
 	 * (Same behavior than the splitting drag and drop event on editor.)
+	 * EModelService.ABOVE, EModelService.BELOW, etc. can be used as position.
+	 * 
 	 * @param parentEditor
 	 * @param editorToAdd
 	 * @param position
-	 * @param percent
+	 * @param percent The percentage of the area to be occupied by the inserted element
 	 */
 	public static void addEditor(EditorPart parentEditor, EditorPart editorToAdd, int position, float percent) {
 		addPart((MPart) parentEditor.getSite().getService(MPart.class), (MPart) editorToAdd.getSite().getService(MPart.class), position, percent);
@@ -74,11 +76,11 @@
 	/**
 	 * Splits the parent area of an editor and add another one in this area by splitting it by the middle. 
 	 * (Same behavior than the splitting drag and drop event on editor.)
+	 * EModelService.ABOVE, EModelService.BELOW, etc. can be used as position.
 	 * 
 	 * @param parentEditor
 	 * @param editorToAdd
 	 * @param position
-	 * @param percent
 	 */
 	public static void addEditor(EditorPart parentEditor, EditorPart editorToAdd, int position) {
 		addEditor(parentEditor, editorToAdd, position, 0.5f);
@@ -87,11 +89,12 @@
 	/**
 	 * Splits the parent area of a part and add another one in this area by splitting it. 
 	 * (Same behavior than the splitting drag and drop event on editor.)
+	 * EModelService.ABOVE, EModelService.BELOW, etc. can be used as position.
 	 * 
-	 * @param percent
-	 * @param position
 	 * @param parentPart
 	 * @param partToAdd
+	 * @param position
+	 * @param percent The percentage of the area to be occupied by the inserted element
 	 */
 	public static void addPart(MPart parentPart, MPart partToAdd, int position, float percent) {
 		IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
Index: tmp/org.txm.rcp/rcpapplication.product
===================================================================
--- tmp/org.txm.rcp/rcpapplication.product	(revision 847)
+++ tmp/org.txm.rcp/rcpapplication.product	(revision 848)
@@ -566,7 +566,6 @@
       <feature id="org.eclipse.ecf.filetransfer.ssl.feature"/>
       <feature id="org.txm.statsengine.r.feature"/>
       <feature id="org.txm.searchengine.cqp.feature"/>
-      <feature id="org.txm.synopticeditor.feature"/>
       <feature id="org.txm.ca.feature"/>
       <feature id="org.txm.chartsengine.jfreechart.feature"/>
       <feature id="org.txm.annotation.feature"/>
Index: tmp/org.txm.groovy.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.groovy.rcp/META-INF/MANIFEST.MF	(revision 847)
+++ tmp/org.txm.groovy.rcp/META-INF/MANIFEST.MF	(revision 848)
@@ -1,8 +1,8 @@
 Manifest-Version: 1.0
-Require-Bundle: org.eclipse.core.runtime;visibility:=reexport,org.ecli
- pse.ui;visibility:=reexport,org.txm.groovy.core;bundle-version="1.0.0
- ";visibility:=reexport,org.codehaus.groovy.eclipse.ui;bundle-version=
- "2.9.1";visibility:=reexport
+Require-Bundle: org.eclipse.core.runtime;visibility:=reexport,
+ org.eclipse.ui;visibility:=reexport,
+ org.txm.groovy.core;bundle-version="1.0.0";visibility:=reexport,
+ org.codehaus.groovy.eclipse.ui;bundle-version="2.9.1";visibility:=reexport
 Bundle-Vendor: Textometry.org
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: Rcp
Index: tmp/org.txm.specificities.core/src/org/txm/specificities/core/preferences/SpecificitiesPreferences.java
===================================================================
--- tmp/org.txm.specificities.core/src/org/txm/specificities/core/preferences/SpecificitiesPreferences.java	(revision 847)
+++ tmp/org.txm.specificities.core/src/org/txm/specificities/core/preferences/SpecificitiesPreferences.java	(revision 848)
@@ -20,30 +20,22 @@
 	// auto populate the preference node qualifier from the current bundle id
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(SpecificitiesPreferences.class).getSymbolicName();
 	
-	public static final String PREFERENCES_PREFIX = "specificities_"; //$NON-NLS-1$
-
-	
 	/**
-	 * Unit property.
-	 */
-	public static final String UNIT_PROPERTY = PREFERENCES_PREFIX + "unit_property"; //$NON-NLS-1$
-	
-	/**
 	 * Maximum score.
 	 */
-	public static final String MAX_SCORE = PREFERENCES_PREFIX + "max_score"; //$NON-NLS-1$
+	public static final String MAX_SCORE = "max_score"; //$NON-NLS-1$
 	
 	/**
 	 * Display format.
 	 */
-	public static final String FORMAT = PREFERENCES_PREFIX + "format"; //$NON-NLS-1$
+	public static final String FORMAT = "format"; //$NON-NLS-1$
 	
 	
 	// charts
-	public static final String CHART_GROUP_BY_LINES = PREFERENCES_PREFIX + "chart_group_by_lines"; //$NON-NLS-1$
-	public static final String CHART_DRAW_BARS = PREFERENCES_PREFIX + "chart_draw_bars"; //$NON-NLS-1$
-	public static final String CHART_DRAW_LINES = PREFERENCES_PREFIX + "chart_draw_lines"; //$NON-NLS-1$
-	public static final String CHART_BANALITY = PREFERENCES_PREFIX + "chart_banality"; //$NON-NLS-1$
+	public static final String CHART_GROUP_BY_LINES = "chart_group_by_lines"; //$NON-NLS-1$
+	public static final String CHART_DRAW_BARS = "chart_draw_bars"; //$NON-NLS-1$
+	public static final String CHART_DRAW_LINES = "chart_draw_lines"; //$NON-NLS-1$
+	public static final String CHART_BANALITY = "chart_banality"; //$NON-NLS-1$
 
 	
 	
